<header class="header">
  <app-logo routerLink="/courses"></app-logo>
  <div class="header__user">
    <i *ngIf="isAuthenticated" class="fa fa-user user_icon"></i>
    <span *ngIf="isAuthenticated" class="header__user__name">
          {{user.firstName}}
				</span>
    <i *ngIf="!isAuthenticated" class="fa fa-sign-in login_icon"></i>
    <a *ngIf="!isAuthenticated" class="header__user__link" routerLink="/login">
      Log in
    </a>
    <i *ngIf="isAuthenticated" class="fa fa-sign-out logout_icon"></i>
    <a *ngIf="isAuthenticated" class="header__user__link" (click)="logout()">
      Log out
    </a>
  </div>
</header>
